> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/streaming-integration/apis/thumbnail-api.md).

# Thumbnail API

## Thumbnail

<mark style="color:blue;">`GET`</mark> `https://api.livestreaming.srarena.io/api/v2/streaming/events/{id}/thumbnail` \
(was: `https://api.livestreaming.imgarena.com/api/v2/streaming/events/{id}/thumbnail`)

#### Query Parameters

| Name           | Type    | Description                                                                                                                                                                                               |
| -------------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| operatorId     | integer | Your company's identifier. This is provided to you by the Integrations team.                                                                                                                              |
| auth           | string  | The API token for this request. Please see "Token Creation" section for more details.                                                                                                                     |
| timestamp      | integer | The timestamp linked to the API token for this request. The timestamp value is the number of milliseconds since the unix epoch, i.e the number of milliseconds since midnight (UTC) on January 1st, 1970. |
| suppressErrors | boolean | If set to "true", this will wrap all errors in a HTTP 200 OK response.                                                                                                                                    |
| format         | string  | Can be "xml" or "json" based on the output format required. Default is JSON.                                                                                                                              |
| width          | integer | If specified, the thumbnail will be autoscaled to the given width. 0 means the thumbnail will be returned in it's original size.                                                                          |

{% tabs %}
{% tab title="200" %}
{% tabs %}
{% tab title="JSON" %}

```javascript
{
    "thumbnailUrl": "https://img.dge-prod.dicelaboratory.com/original/bs/AMIfv96rzAaCf4oPegnDwuQ11Uhx5ueG2B4E7zuTcPcfLwOI0StI9c-WqbbddKC-szJZQsHg9g8II-PzPAC2UloveHkHqxnbQ8TXD3egMtWjle0ABgziotzhbWt7-R2XcqTwlLUjjdaTtdmWebDgHIo2LT3WtCYSlw"
}
```

{% endtab %}

{% tab title="XML" %}

```markup
<thumbnailsInfo>
    <thumbnailUrl>https://img.dge-prod.dicelaboratory.com/original/bs/AMIfv96rzAaCf4oPegnDwuQ11Uhx5ueG2B4E7zuTcPcfLwOI0StI9c-WqbbddKC-szJZQsHg9g8II-PzPAC2UloveHkHqxnbQ8TXD3egMtWjle0ABgziotzhbWt7-R2XcqTwlLUjjdaTtdmWebDgHIo2LT3WtCYSlw</thumbnailUrl>
</thumbnailsInfo>
```

{% endtab %}
{% endtabs %}
{% endtab %}

{% tab title="400 " %}
For more information on why a 400 may be returned, see the "Common Authentication/Integration Issues" section

```javascript
{
    "statusCode": 400,
    "statusText": "Bad Request",
    "message": null
}
```

{% endtab %}

{% tab title="401 " %}
For more information on why a 401 may be returned, see the "Common Authentication/Integration Issues" section

```javascript
{
    "statusCode": 401,
    "statusText": "Unauthorized",
    "message": null
}
```

{% endtab %}

{% tab title="403" %}
For more information on why a 403 may be returned, see the "Common Authentication/Integration Issues" section

```javascript
{
    "statusCode": 401,
    "statusText": "Forbidden",
    "message": null
} For more information on why a 403 may be returned, see the "Common Authentication/Integration Issues" section
```

{% endtab %}

{% tab title="404" %}
For more information on why a 404 may be returned, see the "Common Authentication/Integration Issues" section

```javascript
{
    "statusCode": 404,
    "statusText": "Not Found",
    "message": null
}
```

{% endtab %}

{% tab title="500" %}
Please contact our support team if you see a 500 returned from this API

```javascript
{
    "statusCode": 500,
    "statusText": "Internal Server Error",
    "message": null
}
```

{% endtab %}

{% tab title="503" %}
Please contact our support team if you see a 503 returned from this API

```javascript
{
    "statusCode": 503,
    "statusText": "Service Unavailable",
    "message": null
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/streaming-integration/apis/thumbnail-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
